package com.yunzhi.niucai.alipay.vo;

public interface ITokenResolve {

    /**
     * Token 是否过期
     * @param shopId
     * @return
     */
    boolean isTokenExpired(Integer shopId);

    /**
     * 获取 Token
     * @param shopId
     * @return
     */
    String getAuthToken(Integer shopId);

    /**
     * 获取 refreshToken
     * @param shopId
     * @return
     */
    String getRefreshToken(Integer shopId);

    /**
     * 刷新 Token
     * @param shopId
     * @return
     */
    void refreshAuthToken(Integer shopId, String authToken, String refreshToken, String expiresIn);
}
